Subject: Re: [PATCH v2 7/7] unpack-trees: free cache_entry array members for merges

From: René Scharfe <[email-masked]>
Date: Mon, 03 Jun 2013 01:47:38 +0200

Am 03.06.2013 01:23, schrieb Felipe Contreras:
> I didn't say we should do 'if (ce) free(ce);' instead of 'free(ce);' I
> said we should do 'if (cd && ce != o->df_conflict_entry)' instead of
> 'if (ce != o->df_conflict_entry)'.

I did assume you meant the latter.

> There's no reason not to.

Only the minor ones already mentioned: More text, one more branch in 
object code, no benefit except for some hypothetical future case that's 
caught by the test suite anyway -- or by code review.

I wonder if we already reached the point where we spent more time 
discussing this change than the time needed by the envisioned developer 
to find and fix the NULL check that suddenly became necessary. :)

René